Bug 56462 - Custom operator causes internal compiler error
Summary: Custom operator causes internal compiler error
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 5.2 (2017-04)
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-05-15 16:20 UTC by Jonathan Chambers
Modified: 2017-05-22 15:03 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test case (1.70 KB, application/zip)
2017-05-15 16:20 UTC, Jonathan Chambers
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Jonathan Chambers 2017-05-15 16:20:24 UTC
Created attachment 22172 [details]
Test case

Extract test case:

mcs CompilerBug.cs -t:library
mcs ScriptCode.cs -t:library -r:CompilerBug.dll 

Output:

ScriptCode.cs(9,19): error CS0584: Internal compiler error: Index was outside the bounds of the array.
Comment 1 Marek Safar 2017-05-22 15:03:19 UTC
Fixed in master